Kerbal Space Program - Bug #25841

Pistons (probably other robotics as well) are permanently warped further and further each time a
craft is loaded causing crafts to malfunction permanently

07/24/2020 02:07 PM - Anth12

Status: New Start date: 07/25/2020
Severity: Low % Done: 0%
Assignee:

Category: Robotics

Target version:

Version: 1.10.1 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Breaking Ground

Description

Simple Craft Testing for Bug Report

"Initial Launch.png" shows a craft that has no autostruts and no wheels and a weight that is pulling against it laterally

"F5-F9.png" Shows what happened to the craft after F5ing and F9ing again and again. (Happens if the craft is loaded from the
tracking station as well. Piston can be locked.

"Robotic Warp Tester.craft" for testing

What its been doing to my craft: (more complicated than the one for the bug report anyway)

Complicated Craft.png (more complicated than the one for the bug report anyway)

is a craft | have been designing. Its a drop ship that transports shipping containers. | need it to lift and move the shipping containers
around once its on the mun or minmus. It would work adequately if it didnt warp over time.

"Complicated Craft Warped.png" shows its warped. Once its warped enough the wheels lose traction. Not sure what would happen to
it after 100s of hours of use and loading of the craft.

"Drop Ship Warping.sfs" for testing.

How severe is this bug?

Imagine a craft that has multiple robotic parts being loaded and the overall mechanism being misaligned just a little bit further and
further each time. It could be rendered useless pretty quickly. EJ_SA has way more complicated crafts than what | have. | wonder if
some of his issues are because of this. The warping is happening even if the pistons are locked...thats pretty bad.

History

#1 - 07/26/2020 08:05 AM - dok_377

This was reported ages ago in #22928, went to abyss for quite some time, and then Squad just changed the status of the bug to "Acknowledged".
Probably will not get fixed any time soon. As | understand the mentality of the developers on fixing bugs, it goes something like this: if there's not
enough people complaining or even know about the bug, that bug is not significant enough (but sometimes it absolutely is).

#2 - 07/26/2020 11:25 AM - Anth12
High level bug in a dic that will never get fixed? That's disappointing.

#3 - 07/30/2020 07:11 PM - Anth12

dok_377 now | see what happened.
You created a duplicate with #24797 which was rather aggressive.

At the time you made that bug report they 'acknowledged' #22928.

| feel your pain but you might have been the one to have it not fixed....

#4 - 08/01/2020 08:08 AM - dok_377
- Version changed from 1.10.0 to 1.10.1

Anth12 wrote:
dok_377 now | see what happened.

You created a duplicate with #24797 which was rather aggressive.

At the time you made that bug report they 'acknowledged' #22928.

| feel your pain but you might have been the one to have it not fixed....

You really think the devs decided not to fix something just because one dude whined about it over the internet? How old are they? They will not fix
this because it will probably require some heavy code rewrite, which by itself will cause even more issues in the future. | was quite aggressive with it,
yes (| even received a message on the forum about it), and | regret it, but | don't think it was the cause of it at all. The devs are not nine years old.
